config() {
  NEW="$1"
  OLD="$(dirname $NEW)/$(basename $NEW .new)"
  # If there's no config file by that name, mv it over:
  if [ ! -r $OLD ]; then
    mv $NEW $OLD
  elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
    # toss the redundant copy
    rm $NEW
  fi
  # Otherwise, we leave the .new copy for the admin to consider...
}

preserve_perms() {
  NEW="$1"
  OLD="$(dirname $NEW)/$(basename $NEW .new)"
  if [ -e $OLD ]; then
    cp -a $OLD ${NEW}.incoming
    cat $NEW > ${NEW}.incoming
    mv ${NEW}.incoming $NEW
  fi
  config $NEW
}

preserve_perms etc/rc.d/rc.kea.new
config etc/kea/kea-ctrl-agent.conf.new
config etc/kea/kea-dhcp-ddns.conf.new
config etc/kea/kea-dhcp4.conf.new
config etc/kea/kea-dhcp6.conf.new
config etc/kea/keactrl.conf.new
( cd usr/lib64 ; rm -rf libkea-asiodns.so )
( cd usr/lib64 ; ln -sf libkea-asiodns.so.45.0.0 libkea-asiodns.so )
( cd usr/lib64 ; rm -rf libkea-asiodns.so.45 )
( cd usr/lib64 ; ln -sf libkea-asiodns.so.45.0.0 libkea-asiodns.so.45 )
( cd usr/lib64 ; rm -rf libkea-asiolink.so )
( cd usr/lib64 ; ln -sf libkea-asiolink.so.67.0.0 libkea-asiolink.so )
( cd usr/lib64 ; rm -rf libkea-asiolink.so.67 )
( cd usr/lib64 ; ln -sf libkea-asiolink.so.67.0.0 libkea-asiolink.so.67 )
( cd usr/lib64 ; rm -rf libkea-cc.so )
( cd usr/lib64 ; ln -sf libkea-cc.so.65.0.0 libkea-cc.so )
( cd usr/lib64 ; rm -rf libkea-cc.so.65 )
( cd usr/lib64 ; ln -sf libkea-cc.so.65.0.0 libkea-cc.so.65 )
( cd usr/lib64 ; rm -rf libkea-cfgclient.so )
( cd usr/lib64 ; ln -sf libkea-cfgclient.so.61.0.0 libkea-cfgclient.so )
( cd usr/lib64 ; rm -rf libkea-cfgclient.so.61 )
( cd usr/lib64 ; ln -sf libkea-cfgclient.so.61.0.0 libkea-cfgclient.so.61 )
( cd usr/lib64 ; rm -rf libkea-cryptolink.so )
( cd usr/lib64 ; ln -sf libkea-cryptolink.so.48.0.0 libkea-cryptolink.so )
( cd usr/lib64 ; rm -rf libkea-cryptolink.so.48 )
( cd usr/lib64 ; ln -sf libkea-cryptolink.so.48.0.0 libkea-cryptolink.so.48 )
( cd usr/lib64 ; rm -rf libkea-d2srv.so )
( cd usr/lib64 ; ln -sf libkea-d2srv.so.42.0.0 libkea-d2srv.so )
( cd usr/lib64 ; rm -rf libkea-d2srv.so.42 )
( cd usr/lib64 ; ln -sf libkea-d2srv.so.42.0.0 libkea-d2srv.so.42 )
( cd usr/lib64 ; rm -rf libkea-database.so )
( cd usr/lib64 ; ln -sf libkea-database.so.58.0.0 libkea-database.so )
( cd usr/lib64 ; rm -rf libkea-database.so.58 )
( cd usr/lib64 ; ln -sf libkea-database.so.58.0.0 libkea-database.so.58 )
( cd usr/lib64 ; rm -rf libkea-dhcp++.so )
( cd usr/lib64 ; ln -sf libkea-dhcp++.so.84.0.0 libkea-dhcp++.so )
( cd usr/lib64 ; rm -rf libkea-dhcp++.so.84 )
( cd usr/lib64 ; ln -sf libkea-dhcp++.so.84.0.0 libkea-dhcp++.so.84 )
( cd usr/lib64 ; rm -rf libkea-dhcp_ddns.so )
( cd usr/lib64 ; ln -sf libkea-dhcp_ddns.so.52.0.0 libkea-dhcp_ddns.so )
( cd usr/lib64 ; rm -rf libkea-dhcp_ddns.so.52 )
( cd usr/lib64 ; ln -sf libkea-dhcp_ddns.so.52.0.0 libkea-dhcp_ddns.so.52 )
( cd usr/lib64 ; rm -rf libkea-dhcpsrv.so )
( cd usr/lib64 ; ln -sf libkea-dhcpsrv.so.103.0.0 libkea-dhcpsrv.so )
( cd usr/lib64 ; rm -rf libkea-dhcpsrv.so.103 )
( cd usr/lib64 ; ln -sf libkea-dhcpsrv.so.103.0.0 libkea-dhcpsrv.so.103 )
( cd usr/lib64 ; rm -rf libkea-dns++.so )
( cd usr/lib64 ; ln -sf libkea-dns++.so.52.0.0 libkea-dns++.so )
( cd usr/lib64 ; rm -rf libkea-dns++.so.52 )
( cd usr/lib64 ; ln -sf libkea-dns++.so.52.0.0 libkea-dns++.so.52 )
( cd usr/lib64 ; rm -rf libkea-eval.so )
( cd usr/lib64 ; ln -sf libkea-eval.so.65.0.0 libkea-eval.so )
( cd usr/lib64 ; rm -rf libkea-eval.so.65 )
( cd usr/lib64 ; ln -sf libkea-eval.so.65.0.0 libkea-eval.so.65 )
( cd usr/lib64 ; rm -rf libkea-exceptions.so )
( cd usr/lib64 ; ln -sf libkea-exceptions.so.33.0.0 libkea-exceptions.so )
( cd usr/lib64 ; rm -rf libkea-exceptions.so.33 )
( cd usr/lib64 ; ln -sf libkea-exceptions.so.33.0.0 libkea-exceptions.so.33 )
( cd usr/lib64 ; rm -rf libkea-hooks.so )
( cd usr/lib64 ; ln -sf libkea-hooks.so.91.0.0 libkea-hooks.so )
( cd usr/lib64 ; rm -rf libkea-hooks.so.91 )
( cd usr/lib64 ; ln -sf libkea-hooks.so.91.0.0 libkea-hooks.so.91 )
( cd usr/lib64 ; rm -rf libkea-http.so )
( cd usr/lib64 ; ln -sf libkea-http.so.66.0.0 libkea-http.so )
( cd usr/lib64 ; rm -rf libkea-http.so.66 )
( cd usr/lib64 ; ln -sf libkea-http.so.66.0.0 libkea-http.so.66 )
( cd usr/lib64 ; rm -rf libkea-log.so )
( cd usr/lib64 ; ln -sf libkea-log.so.58.0.0 libkea-log.so )
( cd usr/lib64 ; rm -rf libkea-log.so.58 )
( cd usr/lib64 ; ln -sf libkea-log.so.58.0.0 libkea-log.so.58 )
( cd usr/lib64 ; rm -rf libkea-mysql.so )
( cd usr/lib64 ; ln -sf libkea-mysql.so.64.0.0 libkea-mysql.so )
( cd usr/lib64 ; rm -rf libkea-mysql.so.64 )
( cd usr/lib64 ; ln -sf libkea-mysql.so.64.0.0 libkea-mysql.so.64 )
( cd usr/lib64 ; rm -rf libkea-process.so )
( cd usr/lib64 ; ln -sf libkea-process.so.68.0.0 libkea-process.so )
( cd usr/lib64 ; rm -rf libkea-process.so.68 )
( cd usr/lib64 ; ln -sf libkea-process.so.68.0.0 libkea-process.so.68 )
( cd usr/lib64 ; rm -rf libkea-stats.so )
( cd usr/lib64 ; ln -sf libkea-stats.so.39.0.0 libkea-stats.so )
( cd usr/lib64 ; rm -rf libkea-stats.so.39 )
( cd usr/lib64 ; ln -sf libkea-stats.so.39.0.0 libkea-stats.so.39 )
( cd usr/lib64 ; rm -rf libkea-tcp.so )
( cd usr/lib64 ; ln -sf libkea-tcp.so.15.0.0 libkea-tcp.so )
( cd usr/lib64 ; rm -rf libkea-tcp.so.15 )
( cd usr/lib64 ; ln -sf libkea-tcp.so.15.0.0 libkea-tcp.so.15 )
( cd usr/lib64 ; rm -rf libkea-util-io.so )
( cd usr/lib64 ; ln -sf libkea-util-io.so.0.0.1 libkea-util-io.so )
( cd usr/lib64 ; rm -rf libkea-util-io.so.0 )
( cd usr/lib64 ; ln -sf libkea-util-io.so.0.0.1 libkea-util-io.so.0 )
( cd usr/lib64 ; rm -rf libkea-util.so )
( cd usr/lib64 ; ln -sf libkea-util.so.79.0.0 libkea-util.so )
( cd usr/lib64 ; rm -rf libkea-util.so.79 )
( cd usr/lib64 ; ln -sf libkea-util.so.79.0.0 libkea-util.so.79 )
